%global pypi_name QtAwesome
%global simple_name qtawesome

Name:		python-%{pypi_name}
Version:	1.3.0
Release:    1%{?dist}

Summary:	FontAwesome icons in PyQt and PySide applications
%if 0%{?fedora} > 38
License:	MIT AND CC-BY-4.0 AND Apache-2.0 AND OFL-1.1
%else
License:	MIT AND CC-BY-4.0 AND Apache-2.0 AND OFL-1.1 AND OFL-1.1-RFN
%endif
URL:		https://github.com/spyder-ide/%{simple_name}

Source0:	%pypi_source

BuildArch:	noarch

BuildRequires:	python3-devel

%description
QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%package -n     python3-%{pypi_name}
Summary:	FontAwesome icons in PyQt and PySide applications

Provides:	bundled(codicon-fonts) = 1.10
Provides:	bundled(elusiveicons-fonts) = 001.000
Provides:	bundled(materialdesignicons5-fonts) = 5.9.55
Provides:	bundled(materialdesignicons6-fonts) = 1.0
Provides:	bundled(phosphor-fonts) = 1.3
Provides:	bundled(remixicon-fonts) = 2.5
Requires:	fontawesome-fonts-web

%description -n python3-%{pypi_name}

QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%prep
%autosetup -n %{pypi_name}-%{version}

sed -i 's/\r//' README.md

sed -i '/^SYSTEM_FONTS = /s/False/True/' qtawesome/iconic_font.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files qtawesome

rm %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome4.7-webfont.ttf
ln -s %{_datadir}/fonts/fontawesome/fontawesome-webfont.ttf \
      %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome4.7-webfont.ttf
rm %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome5-*.ttf
ln -s %{_datadir}/fontawesome/webfonts/fa-brands-400.ttf \
      %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome5-brands-webfont.ttf
ln -s %{_datadir}/fontawesome/webfonts/fa-regular-400.ttf \
      %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome5-regular-webfont.ttf
ln -s %{_datadir}/fontawesome/webfonts/fa-solid-900.ttf \
      %{buildroot}%{python3_sitelib}/qtawesome/fonts/fontawesome5-solid-webfont.ttf

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/qta-browser

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-1
- initial build
